Bug 705229 - pause disables play until disk ejected
pause disables play until disk ejected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-17 00:21 EDT by Paul
Modified: 2013-07-31 16:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:21:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul 2011-05-17 00:21:03 EDT
Description of problem:

Using an audio CD in a CD-only or DVD/CD drive, the disk plays fine but when I hit the pause, I can't get it to start playing again unless I eject the disk and reload. Note that I do not have to close rhythmbox and reopen, it seems to only need "new media". The machine used to be F13 and I did not have this problem (though the CD-only drive didn't mount in F13 and I could only test the DVD/CD ... this issue is fixed in F14 and I noted such in 533643) I repeated tests on another machine that is still F13 and this problem is definitely not there in F13 with a DVD/CD drive


Version-Release number of selected component (if applicable):
F14 rhythmbox 0.13.3-1.fc14.i686
F13 rhythmbox 0.12.8


How reproducible:
Try to play, pause, and then play an audio CD in rhythmbox


Steps to Reproduce:
1. put audio disk in, select rhythmbox when pop-up occurs about what to do and start "play"
2. click "pause" (same button as "play" as it is a toggle between play/pause
3. click "play" and nothing happens ... try anything in rhythmbox and I can't get it to play again --- I can skip tracks, scrub, whatever; but no more sound
4. eject disk
5. repeat from step #1
  
Actual results:
Pause disables playing of current media


Expected results:
Pause followed by Play should start playing from the point that I hit Pause


Additional info:
Please let me know what I can provide. I want to bring my F13 box up to F14 so I will lose the ability to test on F13 soon. Thank you
Comment 1 Paul 2011-06-10 22:34:50 EDT
I just brought up an HP Pavilion dv6500 on x86_64 Fedora 14 and I am seeing the same bug.
Comment 2 Paul 2011-08-26 03:32:02 EDT
I just got a crash while trying to test fedora community list request for [Bug 533643] audio CDs aren't recognised and produce kernel errors.

ABRT popped up and I submitted the info. It accepted the bug and then told me it didn't have contact info for me, so I have no idea what the bug number is.

I would really like to get the bug number as I think it is related to this bug. I submitted bug 733594 to document the failure and gave the specs on the actions I did to generate the error.

In case it helps to track it, the ABRT states the crash happened at 25aug11 11:53:36pm (my time ... PDT).

The command is "rhythmbox '/home/paul/.gvfs/cdda mount on sr0". The Reason is "Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)".

Thanks,
Paul
Comment 3 Paul 2011-08-31 00:00:27 EDT
I had a pilot error moment when dealing with ABRT and was able to sort it out today (and I closed bug 733594 with an apology).

ABRT accepted the bug and tagged it onto 702009, so you can (and should) ignore comment #2 from 2011-08-26

Thanks,
Paul
Comment 4 Paul 2012-01-15 22:24:43 EST
I have just confirmed that the bug is still there under Fedora 16 (i686 system with Xfce).

I also notice there has been no action on this since I reported it and it is still marked "New" and it looks to me like it hasn't even been given an initial first look/comment by Fedora after 4 1/2 months.

Thanks,
Paul
Comment 5 Paul 2012-10-10 12:25:18 EDT
I have confirmed this bug still exists under F17 Xfce i686

Thanks,
Paul
Comment 6 Fedora End Of Life 2013-07-03 16:25:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 16:22:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.